## pycsw 2.6.2+dfsg

=== requirements.txt ===
geolinks
lxml
OWSLib<0.29
pyproj
Shapely
xmltodict

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -W -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	mkdir -p $(BUILDDIR)
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/pycsw.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/pycsw.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/pycsw"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/pycsw"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== docker/kubernetes/Makefile ===

PYCSW_DOCKER_IMAGE=latest

convert:
	PYCSW_DOCKER_IMAGE=$(PYCSW_DOCKER_IMAGE) kompose convert --volumes hostPath

up:
	kubectl apply -f db-data-persistentvolumeclaim.yaml
	kubectl apply -f db-deployment.yaml
	kubectl apply -f db-service.yaml
	kubectl apply -f pycsw-configmap.yaml
	kubectl apply -f pycsw-deployment.yaml
	kubectl apply -f pycsw-service.yaml

down:
	kubectl delete service pycsw
	kubectl delete service db
	kubectl delete deployment pycsw
	kubectl delete deployment db

remove-volumes:
	kubectl delete configmap pycsw-config
	kubectl delete PersistentVolumeClaim db-data

open:
	minikube service pycsw --url

restart: down up

status:
	kubectl get all -o wide

=== debian/changelog ===
pycsw (2.6.2+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Add python3-pkg-resources to (build) dependencies.
  * Fix gen_html.py syntax error.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 23 Feb 2025 06:23:11 +0100

pycsw (2.6.2+dfsg-1) unstable; urgency=medium

  * Team upload.

  [ Angelos Tzotsos ]
  * Update apache wsgi conf file to solve numpy import issue.

  [ Bas Couwenberg ]
  * New upstream release.
  * Add Rules-Requires-Root to control file.
  * Update lintian overrides.
  * Bump Standards-Version to 4.7.0, no changes.
  * Bump debhelper compat to 13.
  * Don't override dh_auto_test for custom pybuild system.
  * Don't override dh_auto_install.
  * Use execute_after instead of override in rules file.
  * Enable Salsa CI.
  * Remove unused rules.
  * Switch to dh-sequence-*.
  * Refresh patches.
  * Update lintian overrides.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 22 Feb 2025 18:15:52 +0100

=== debian/control ===
Source: pycsw
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Angelos Tzotsos <gcpp.kalxas@gmail.com>,
           Johan Van de Wauw <johan@gisky.be>
Section: non-free/python
Priority: optional
Build-Depends: apache2-dev,
               debhelper-compat (= 13),
               dh-apache2,
               dh-exec,
               dh-python,
               dh-sequence-apache2,
               dh-sequence-python3,
               dh-sequence-sphinxdoc,
               procps,
               python3-all,
               python3-apipkg,
               python3-geolinks,
               python3-lxml,
               python3-mock,
               python3-owslib,
               python3-pkg-resources,
               python3-pyproj,
               python3-pytest,
               python3-pytest-cov,
               python3-pytest-timeout,
               python3-setuptools,
               python3-shapely,
               python3-sphinx,
               python3-sqlalchemy,
               python3-tz,
               python3-xmltodict,
               ronn (>= 0.9.0)
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/debian-gis-team/pycsw
Vcs-Git: https://salsa.debian.org/debian-gis-team/pycsw.git
Homepage: http://pycsw.org
Rules-Requires-Root: no

Package: pycsw
Architecture: all
Section: non-free/web
Depends: pycsw-wsgi (= ${binary:Version}),
         python3-pycsw (= ${binary:Version}),
         ${misc:Depends}
Suggests: pycsw-doc
Description: OGC compliant metadata (Catalogue Service for the Web) server
 pycsw is an OGC CSW server implementation written in Python. pycsw fully
 implements the OpenGIS Catalogue Service Implementation Specification
 (Catalogue Service for the Web). Initial development started in 2010
 (more formally announced in 2011). The project is certified OGC Compliant,
 and is an OGC Reference Implementation. Since 2015, pycsw is an official
 OSGeo Project. pycsw allows for the publishing and discovery of geospatial
 metadata via numerous APIs (CSW 2/CSW 3, OpenSearch, OAI-PMH, SRU).
 Existing repositories of geospatial metadata can also be exposed,
 providing a standards-based metadata and catalogue component of spatial
 data infrastructures. pycsw is Open Source, released under an MIT license,
 and runs on all major platforms (Windows, Linux, Mac OS X).
 .
 This package contains the pycsw-admin utility and configuration files.

Package: python3-pycsw
Architecture: all
Depends: python3-geolinks,
         python3-lxml,
         python3-owslib,
         python3-pkg-resources,
         python3-pyproj,
         python3-shapely,
         python3-tz,
         python3-xmltodict,
         ${python3:Depends},
         ${misc:Depends}
Description: OGC compliant metadata (Catalogue Service for the Web) server - Python 3
 pycsw is an OGC CSW server implementation written in Python. pycsw fully
 implements the OpenGIS Catalogue Service Implementation Specification
 (Catalogue Service for the Web). Initial development started in 2010
 (more formally announced in 2011). The project is certified OGC Compliant,
 and is an OGC Reference Implementation. Since 2015, pycsw is an official
 OSGeo Project. pycsw allows for the publishing and discovery of geospatial
 metadata via numerous APIs (CSW 2/CSW 3, OpenSearch, OAI-PMH, SRU).
 Existing repositories of geospatial metadata can also be exposed,
 providing a standards-based metadata and catalogue component of spatial
 data infrastructures. pycsw is Open Source, released under an MIT license,
 and runs on all major platforms (Windows, Linux, Mac OS X).
 .
 This package the pycsw module for Python 3.

Package: pycsw-wsgi
Architecture: all
Section: non-free/web
Depends: libapache2-mod-wsgi-py3,
         libjs-jquery,
         python3-pycsw (= ${binary:Version}),
         python3-sqlalchemy,
         ${python3:Depends},
         ${misc:Depends}
Recommends: ${misc:Recommends}
Description: WSGI Apache CSW service based on pycsw
 pycsw is an OGC CSW server implementation written in Python. pycsw fully
 implements the OpenGIS Catalogue Service Implementation Specification
 (Catalogue Service for the Web). Initial development started in 2010
 (more formally announced in 2011). The project is certified OGC Compliant,
 and is an OGC Reference Implementation. Since 2015, pycsw is an official
 OSGeo Project. pycsw allows for the publishing and discovery of geospatial
 metadata via numerous APIs (CSW 2/CSW 3, OpenSearch, OAI-PMH, SRU).
 Existing repositories of geospatial metadata can also be exposed,
 providing a standards-based metadata and catalogue component of spatial
 data infrastructures. pycsw is Open Source, released under an MIT license,
 and runs on all major platforms (Windows, Linux, Mac OS X).
 .
 This package contains the Apache mod_wsgi scripts and tests.

Package: pycsw-doc
Architecture: all
Section: non-free/doc
Depends: ${sphinxdoc:Depends},
         ${misc:Depends}
Description: OGC compliant metadata (Catalogue Service for the Web) server - documentation
 pycsw is an OGC CSW server implementation written in Python. pycsw fully
 implements the OpenGIS Catalogue Service Implementation Specification
 (Catalogue Service for the Web). Initial development started in 2010
 (more formally announced in 2011). The project is certified OGC Compliant,
 and is an OGC Reference Implementation. Since 2015, pycsw is an official
 OSGeo Project. pycsw allows for the publishing and discovery of geospatial
 metadata via numerous APIs (CSW 2/CSW 3, OpenSearch, OAI-PMH, SRU).
 Existing repositories of geospatial metadata can also be exposed,
 providing a standards-based metadata and catalogue component of spatial
 data infrastructures. pycsw is Open Source, released under an MIT license,
 and runs on all major platforms (Windows, Linux, Mac OS X).
 .
 This package contains the pycsw documentation.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export PYBUILD_NAME=pycsw
export PYBUILD_TEST_CUSTOM=1
export PYBUILD_TEST_ARGS=cd {dir} && PYTHONPATH={dir} {interpreter} -m pytest -v -k 'not harvesting' tests/
export PYBUILD_INSTALL_ARGS=--install-scripts=/usr/lib/{package}

include /usr/share/dpkg/pkg-info.mk

BUILD_DATE := $(shell LC_ALL=C date -u "+%Y-%m-%d" -d "@$(SOURCE_DATE_EPOCH)")

%:
	dh  $@ --buildsystem pybuild

execute_after_dh_auto_build:
	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N -bhtml docs/ build/html # HTML generator
	ronn -r --date="$(BUILD_DATE)" --manual=pycsw debian/man/*.md
	rm -f debian/man/*.html

override_dh_auto_test:
	dh_auto_test || echo "Ignoring test failures"

execute_after_dh_install:
	# Remove pycache directories
	$(RM) -r debian/*/usr/share/pycsw/tests/__pycache__/
	$(RM) -r debian/*/usr/share/pycsw/tests/functionaltests/__pycache__/
	$(RM) -r debian/*/usr/share/pycsw/tests/unittests/__pycache__/

	# Remove empty directories
	find debian/*/usr/share/pycsw/tests -type d -empty -delete

	# Remove documentation outside usr/share/doc
	$(RM) debian/*/usr/share/pycsw/tests/README.txt
	$(RM) debian/*/usr/share/pycsw/tests/functionaltests/suites/apiso/data/README.txt
	$(RM) debian/*/usr/share/pycsw/tests/functionaltests/suites/cite/data/README.txt

override_dh_python3:
	dh_python3
	dh_python3 -p pycsw-wsgi --shebang=/usr/bin/python3 /usr/share/pycsw
